Bug 1309440 - libtevent leaks memory during signal handling
libtevent leaks memory during signal handling
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libtevent (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Steeve Goveas
:
Depends On: 1309439
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 15:00 EST by Jakub Hrozek
Modified: 2017-11-14 16:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1309439
Environment:
Last Closed: 2017-11-14 16:07:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 11742 None None None 2016-02-18 04:15 EST

  None (edit)
Description Jakub Hrozek 2016-02-17 15:00:50 EST
+++ This bug was initially created as a clone of Bug #1309439 +++

Description of problem:
libtevent allocates memory during tevent_common_add_signal() but doesn't free it.

Version-Release number of selected component (if applicable):
libtevent-0.9.25-1.el7

How reproducible:
always

Steps to Reproduce:
1. register a signal handler with libtevent
2. watch the memory usage of a program after startup
3. receive a bunch of signals
3. observe memory usage go up

Actual results:


Expected results:


Additional info:
this is best tested through sssd performing many allocations
Comment 2 Jakub Hrozek 2017-11-14 16:07:00 EST
This bug was open for almost two years and no customer cases were attached since.

The bug has also been fixed in RHEL-7.

Given the low interest and the fact that the bug is fixed in RHEL-7 and RHEL-6 being in Production Phase 3, I'm closing this bug as WONTFIX.

Please reopen this bugzilla if you are hit by this bug and would like to see it fixed in RHEL-6.

Note You need to log in before you can comment on or make changes to this bug.